Intereting Posts
Пользовательский дочерний класс приложения в Mono для Android Проблемы с установкой Android Выполнение скриптов Groovy, встроенных в Java во время выполнения для Android Цель камеры или галереи уничтожает старую активность на некоторых устройствах Загрузить загруженный Gif-образ в android Android hdpi / mdpi / ldpi для папки «Значения»? Цвет текста в тексте не изменяется при отключении Чтение событий клавиатуры в Android WebView Android – активность не найдена Исключение Я хочу упаковать значение перечисления в Bundle и получить как перечисление Как использовать стили html в строках с аргументами формата? Не удалось связаться с поставщиком услуг: в Twitter нет сертификатов peer Андроид, получающий звуковые частоты в реальном времени? Стиль Android SearchView Drop down popup Почему он говорит «устарело» для метода, когда его единственный, который я могу использовать для выбранного уровня API?

С 0.4.3 Android Studio, ошибка: «Синхронизация проекта Gradle не удалась. Основные функции (например, редактирование, отладка) не будут работать должным образом "

Я заметил, что после обновления до Android Studio 0.4.3 возникают проблемы с несколькими людьми (проблема с 0.4.2 также я считаю). Моя ошибка и шаги отладки до сих пор следующие:

Сообщение, которое я вижу, это «Синхронизация проекта Gradle». Базовая функциональность (например, редактирование, отладка) не будет работать должным образом », как показано в снимок ниже.

Ошибка в Android Studio

Я нашел этот поток и следующие инструкции, но у меня все еще есть ошибка. Я не могу выполнить следующую инструкцию в потоке: я вошел в настройки Gradle и нажал на «использовать локальный дистрибутив Gradle» и указал на *: C: /Users/robot_000/.gradle/wrapper/dists/gradle-1.10 -all / 6vpvhqu0efs1fqmqr2decq1v12 / Gradle-1,10

Нужно ли иметь локальное распределение градиента? Где я могу загрузить его и где его разместить? Как мне теперь сообщить Android Studio об этом? (Как вы можете сказать, я не понимаю, как работает град). Спасибо за любую помощь.

Обновление 1 : Я нашел файлы gradle на своем компьютере в папке C: \ Users \ home.gradle \ wrapper \ dists \ gradle-1.10-all \ 6vpvhqu0efs1fqmqr2decq1v12 \ gradle-1.10, но как мне это сделать: «вошли в настройки Gradle И нажал на «использовать локальное распределение Gradle» и указал на * * (согласно THIS THREAD )

Solutions Collecting From Web of "С 0.4.3 Android Studio, ошибка: «Синхронизация проекта Gradle не удалась. Основные функции (например, редактирование, отладка) не будут работать должным образом ""

Перейдите в меню «Файл»> «Настройки»> «Грейдл», и вы получите этот экран для настройки вашего градиента:

Настройка градиента

Также убедитесь, что у вас есть Google Repository в каталоге Android SDK, который будет расположен по адресу:

$SDK_DIR\extras\google\m2repository\com\google\android\gms\play-services\3.1.36 

Если вы не установите его сначала из SDK Manager> Extras> Google Repository.

РЕДАКТИРОВАТЬ :

Все ваши build.gradle (если вы используете root level build.gradle для определения версии плагина android gradle, проверьте только это) должно указывать на версию 0.8 (последняя на данный момент) плагина android gradle

  dependencies { classpath 'com.android.tools.build:gradle:0.8.+' } 

ОБНОВЛЕНО:

Отображение:

  | Android Gradle Plugin | Gradle Version | 0.7.+ 1.9 0.8.+ 1.10 

Файл -> Недействительный кэш / перезагрузка

Иногда работает для этого

У меня была та же проблема, и использование локального распределения градиентов тоже не работало для меня. Я решил найти решение здесь. Метод Gradle DSL не найден: 'runProguard'

Все, что находится над версией gradle 0.14.0, должно использовать minifyEnabled вместо runProguard в файле runProguard для проектов. Вот как это должно выглядеть:

 buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt' } } 

Надеюсь это поможет. Проверьте ссылку, если вы все еще запутались

Я столкнулся с этой проблемой и обнаружил, что у меня уже было место установки Gradle, и у меня уже установлен Google Repository, как упоминалось pyus13.

Мое решение заключалось в смене инструментов Android SDK Build-tools на предыдущую версию. Последняя редакция была 19.1, но обновление до этого нарушило цепочку инструментов.

Это может быть так же просто, как попробовать другие инструменты Build.

SDK Platform-tools и SDK Build-tools

Ну, я не знаю, что сработало для них, но для меня работали, чтобы добавить немного скриптов для сборки.gradle. Обратите внимание, что важно разместить их в верхней части страницы (в build.gradle).

 buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.2' } } 

THEN: в buildToolsVersion у меня была версия 19.1.0, и там я установил build-tools (менеджер SDK) версии 19.1 и 19. Я удаляю другие пакеты инструментов для создания инструментов, которые я не поклонник бесполезных вещей.

И вам должно быть хорошо идти, надеюсь, что это кому-то поможет.

В рамках проекта в файле свойств градиента вы должны добавить:

 org.gradle.jvmargs=-Xmx1024m 

Ну, я не знаю, что сработало для них, но для меня работали, чтобы добавить небольшие скрипты для build.gradle .

Обратите внимание, что важно разместить их в верхней части страницы (в build.gradle ).